Encrypted Registration
POST/register/encrypted
Registers a view key with the record scanner. The ciphertext is derived from sealing a { view_key, start } payload with the public_key from GET /pubkey endpoint using a cryptobox seal. Submit the ciphertext with its key_id. Returns a UUID used to make future requests for records via the /records/owned endpoint.
Request
Responses
- 200
- 400
- 401
- 422
- 503
View key registered
Invalid registration request
Unauthorized
Encrypted registration failed
Service unavailable